
Figure - Bug #114950
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Power off】中控选择下电关机后，中控熄屏关机后2-3s后测试设备才关机，设备关
机时间过长
2022-12-29 19:21 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-29

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: MCU收到下电信号后做了1.5s的延迟，然后才发送关机命令给MPU

Description

【前提条件】

None

【测试步骤】

1、中控进入设置，选择下电关机

2、观察中控与测试设备关机情况

【预期结果】

2. 中控与测试设备几乎同时关机熄屏

【实际结果】

2. 测试设备会比其他设备慢2-3s才关机

History

#1 - 2022-12-29 19:22 - 移动测试一组_CDTS 刘强

需要以下数据分析，正在联调中控，等联调成功后抓取相关数据

1.中控通过什么和设备进行交互的

2.中控-设备的时间(这个可能要根据1中的交互 来看日志或者量测信号)

3.设备-灭屏的时间(这个可以抓取tlog日志)

#2 - 2022-12-30 15:18 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_TEST 刘勇

#3 - 2023-01-04 15:19 - CDTS_TEST 刘勇

当前实际中控不能够下发can指令到副屏，暂无进度，等待中控can-fd合入

#4 - 2023-01-09 16:15 - CD TPM-王祥林

MCU收到下电信号后做了1.5s的延迟，然后才发送关机命令给MPU，已经把1.5s改成50ms。自测OK。

https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/173800
请测试用VB版本进行压力测试。当前中控不具体调试条件，请使用断开指定的线来模拟中控下电。（王成，刘强知道怎么操作）

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230103/202301031938-2015

#5 - 2023-01-10 14:10 - CDTS_TEST 刘勇

和刘强沟通，使用 VB版本验证（/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230103/202301031938-2015）

沟通结果如下“

这个问题刚刚做了基本验证：

客户提的bug：

中控：400ms

Figure：2.26s

修复：之前中控can延迟有1.5s，现修改为50ms

新Figure：508ms 使用断线方式

加上can的50ms延迟

合计约：558ms

中控约：400ms

差距在200ms以内，应该是肉眼不可见状态”

当前状态：“研发会重新合一个最终版本，然后给客户试”

#6 - 2023-01-10 20:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173800 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Optimize shutdown timeAccording to customer needs, it needs to be executed immediately afterreceiving the shutdown. At present, the original

debounce time isshortened to meet customer needs.Bin version: V0.0.7TC-RID: 1201-0102704IssueID: TS-R-DF-114950Change-Id:

Ib9dac148ad4d4d80d59908c8b03ba4b3cd9d7b7b

#7 - 2023-01-10 20:17 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Root cause set to MCU收到下电信号后做了1.5s的延迟，然后才发送关机命令给MPU

#8 - 2023-01-10 20:18 - CD TPM-王祥林

代码已经合入，从明天开始的DB或者release版本都可以提供给客户验证。如果客户认可的话就把票关了，不认可的话你再reopen转给我。

#9 - 2023-01-19 09:54 - CD TPM-王祥林
- Resolution changed from -- to FIXED

#10 - 2023-01-29 17:19 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#11 - 2023-01-29 17:24 - 移动测试一组_CDTS 刘强

等客户最终验证结果

#12 - 2023-02-08 09:58 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

客户已经反馈可以接受，因此关闭

#13 - 2023-02-08 09:58 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#14 - 2023-03-28 19:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186149 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Add logic for powering on and offAdd logic for powering on and off1. Increase the ability to determine whether a startup commandis received when

powering down, and determine whether to sleep based on KL15;2. Modify the judgment mechanism of KL15;3. A Logic Problem in Repairing Voltage

ProtectionBin version: V0.1.2TC-RID: 1201-0102704IssueID: TS-R-DF-114950Change-Id: I40dbb28686ad8b1d5805d5e866ca21c4e51b32a9

#15 - 2023-03-28 23:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190581 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
BSP:MCU: Add logic for powering on and offAdd logic for powering on and off1. Increase the ability to determine whether a startup commandis received when

powering down, and determine whether to sleep based on KL15;2. Modify the judgment mechanism of KL15;3. A Logic Problem in Repairing Voltage

ProtectionBin version: V0.1.2TC-RID: 1201-0102704IssueID: TS-R-DF-114950Change-Id: I376470ed089e4596e00112c6baf84444dc80ffdf

Files

20221229-192016.mp4 2.25 MB 2022-12-29 移动测试一组_CDTS 刘强
